package object_detection;

import java.io.IOException;

public class ObjectDetector {

    static ObjectSet os;

    public static void run() throws IOException {
        System.out.println("Running object detection");
        ObjectDetector.main(null);
    }

    public static void main(String[] args) throws IOException {

        /* infinite loop of running system:
        1) Get new info from system
        2) Update UnionFind
        3) Push new update to database if necessary
         */

        // create objectset
        os = new ObjectSet();

        // Add two test sets
        int o1 = os.makeObject(
            new Point(0,10,0),
            new Point(0,0,0),
            new Point(10, 0, 0),
            new Point(10, 10, 0)
        );

        int o2 = os.makeObject(
            new Point(5,5,0),
            new Point(5,15,0),
            new Point(15, 5, 0),
            new Point(15, 15, 0)
        );

        System.out.println("Added two objects of 4 points to ObjectSet");
        System.out.println("Indices: " + o1 + ", " + o2);
        // test out compare
        boolean same = ObjectSet.compareObjects(o1, o2);
        if(same){
            os.combineObjects(o1, o2);
            System.out.println("Combining object 1 and 2");
        }
    }
}
